services:
  webserver:
    container_name: random-shit
    build: 
      context: .
      dockerfile: docker/Dockerfile
    networks:
      - traefik-back
    # ports:
    #   - 80:80
    restart: unless-stopped
    labels:
      - traefik.enable=true
      - traefik.docker.network=traefik-back
    
      - traefik.http.routers.random-shit.rule=host(`random-shit.kanel.ovh`)
      - traefik.http.routers.random-shit.entrypoints=websecure
      - traefik.http.routers.random-shit.tls.certresolver=letsencrypt
      - traefik.http.routers.random-shit.tls=true
    
      - traefik.http.services.random-shit.loadbalancer.server.port=80
      - traefik.http.routers.random-shit.service=random-shit
networks:
  traefik-back:
    external: true
